package timertests;

/**
 * @(#)UnsortedException 21 November 2007
 *
 * @author Viera K. Proulx
 */
import java.lang.*;

/**
 * Exception to be raised when the sorting algorithm fails to
 * sort according to the given <CODE>Comparator</CODE>.
 */
public class UnsortedException extends RuntimeException {

  /**
   * Constructs a new exception with null as its detail message.
   */
  public UnsortedException() {
    super();
  }

  /**
   * Constructs a new exception with the specified detail message.
   * 
   * @param message the error message
   */
  public UnsortedException(String message) {
    super(message);
  }

  /**
   * Constructs a new exception with the specified detail message and cause.
   * 
   * @param message the error message
   * @param cause the cause for the message
   */
  public UnsortedException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * Constructs a new exception with the specified cause and a detail message.
   * 
   * @param cause the cause for the message
   */
  public UnsortedException(Throwable cause) {
    super(cause);
  }

}
